Bug 125781 - system-config-bind and named does not find same zone file
system-config-bind and named does not find same zone file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 09:00 EDT by Jørgen Nørgaard
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: bind-9.2.4rc6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 16:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jørgen Nørgaard 2004-06-11 09:00:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.2 (KHTML, like Gecko) Safari/125.8

Description of problem:
For system-config-bind to find the zone file 


/var/named/chroot/etc/named.conf must be like:

zone "lab" { 
	type master;
#	file "/var/named/lab.zone";
	file "lab.zone";
};


But for named to find the zone file it must be:
zone "lab" { 
	type master;
	file "/var/named/lab.zone";
#	file "lab.zone";
};

Now system-config-bind cannot read the file ...

Both files generated from scratch by system-config-bind.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a new zone
2. add hosts
3. (re-)start named


    

Actual Results:  With the system-config-bind named.conf this error is in /var/log/messages:

..  named[5595]: zone lab/IN: loading master file lab.zone: file not found


Additional info:
Comment 1 Jason Vas Dias 2004-08-03 16:57:48 EDT
This is now fixed.
You wrote:
> But for named to find the zone file it must be:
> zone "lab" { 
>	type master;
>	file "/var/named/lab.zone";
>#	file "lab.zone";
>};
Not so for bind-9.2.4rc6-+ - it can now just be 'lab.zone'.

Note You need to log in before you can comment on or make changes to this bug.